## isomd5sum 1.0.7+git.20110618.6c9cd2f

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 PYTHON = python$(PYVER)
 PYTHONINCLUDE = /usr/include/$(PYTHON)
 
-VERSION=1.0.5
+VERSION=1.0.7
 
 ifneq (,$(filter sparc64 ppc64 x86_64 s390x,$(shell uname -m)))
 LIBDIR = lib64
@@ -24,10 +24,10 @@
 	$(CC) -c -O $(CFLAGS) -o $@ $<
 
 implantisomd5: implantisomd5.o libimplantisomd5.a
-	$(CC) -lpopt $(CFLAGS) implantisomd5.o libimplantisomd5.a -o implantisomd5
+	$(CC) $(CFLAGS) implantisomd5.o libimplantisomd5.a -lpopt -o implantisomd5
 
 checkisomd5: checkisomd5.o libcheckisomd5.a
-	$(CC) -lpopt $(CFLAGS) checkisomd5.o libcheckisomd5.a -o checkisomd5
+	$(CC) $(CFLAGS) checkisomd5.o libcheckisomd5.a -lpopt -o checkisomd5
 
 libimplantisomd5.a: libimplantisomd5.a(libimplantisomd5.o md5.o)
