=== debian/changelog ===
isomd5sum (1:1.0.7+git.20110618.6c9cd2f-1) unstable; urgency=low

  * New upstream version (upstream does not currently reliably publish 
    tarball releases; git used instead)

 -- Ryan Finnie <ryan@finnie.org>  Sat, 18 Jun 2011 14:16:50 -0700

isomd5sum (1:1.0.5-2) unstable; urgency=low

  * Bumped standards to 3.9.2
  * Added Suggests: genisoimage to python-pyisomd5sum (used by
    example/test script)
  * Converted package from dh_pycentral to dh_python2 (Closes: #616850)
  * Removed unneeded code triggering FTBFS in GCC 4.6 with -Werror
    (Closes: #625352)
  * Changed order of -lpopt linking causing FTBFS with recent binutils
    (LP: #771038)

 -- Ryan Finnie <ryan@finnie.org>  Fri, 06 May 2011 20:14:04 -0700
