=== debian/watch ===
# See uscan(1) for format
version=3
https://fedorahosted.org/releases/i/s/isomd5sum/isomd5sum-(.*)\.tar\.bz2
