## isomd5sum 1.0.11

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 PYTHON = python$(PYVER)
 PYTHONINCLUDE = /usr/include/$(PYTHON)
 
-VERSION=1.0.9
+VERSION=1.0.11
 
-ifneq (,$(filter sparc64 ppc64 x86_64 s390x,$(shell uname -m)))
+ifneq (,$(filter sparc64 ppc64 x86_64 s390x aarch64,$(shell uname -m)))
 LIBDIR = lib64
 else
 LIBDIR = lib
@@ -21,20 +21,20 @@
 all: implantisomd5 checkisomd5 pyisomd5sum.so libimplantisomd5.a libcheckisomd5.a
 
 %.o: %.c
-	$(CC) -c -O $(CFLAGS) -o $@ $<
+	$(CC) $(CPPFLAGS) $(CFLAGS) -c -O -o $@ $<
 
 implantisomd5: implantisomd5.o libimplantisomd5.a
-	$(CC) $(CFLAGS) implantisomd5.o libimplantisomd5.a -lpopt -o implantisomd5
+	$(CC) $(CPPFLAGS) $(CFLAGS) implantisomd5.o libimplantisomd5.a -lpopt $(LDFLAGS) -o implantisomd5
 
 checkisomd5: checkisomd5.o libcheckisomd5.a
-	$(CC) $(CFLAGS) checkisomd5.o libcheckisomd5.a -lpopt -o checkisomd5
+	$(CC) $(CPPFLAGS) $(CFLAGS) checkisomd5.o libcheckisomd5.a -lpopt $(LDFLAGS) -o checkisomd5
 
 libimplantisomd5.a: libimplantisomd5.a(libimplantisomd5.o md5.o)
 
 libcheckisomd5.a: libcheckisomd5.a(libcheckisomd5.o md5.o)
 
 pyisomd5sum.so: $(PYOBJS)
-	$(CC) -shared -g -o pyisomd5sum.so -fpic $(PYOBJS) $(LDFLAGS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) -shared -g -fpic $(PYOBJS) $(LDFLAGS) -o pyisomd5sum.so
 
 install: all install-bin install-python install-devel
