=== debian/changelog ===
isomd5sum (1:1.0.11-1) unstable; urgency=low

  * New upstream release
  * Use debhelper 9, let it take care of hardening
  * Add Debian package source control; move upstream git information to
    README.source
  * Bump Standards-Version to 3.9.4
  * Remove pyisomd5sum.so.python* from dh_auto_clean, in case a release
    disappears from pyversions between build and clean

 -- Ryan Finnie <ryan@finnie.org>  Mon, 22 Jul 2013 02:27:17 +0000

isomd5sum (1:1.0.10-1) unstable; urgency=low

  * New upstream version
  * Remove DMUA header

 -- Ryan Finnie <ryan@finnie.org>  Mon, 22 Apr 2013 19:29:17 +0000
