=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/python/python.mk

PYVERS=$(shell pyversions -r)

%:
	dh $@ --with=python2

override_dh_auto_build:
	$(MAKE) implantisomd5 checkisomd5
	set -e; \
	for python in $(PYVERS); do \
		$(MAKE) \
		PYTHON=$$python pyisomd5sum.so; \
		mv pyisomd5sum.so pyisomd5sum.so.$$python; \
	done

override_dh_auto_clean:
	rm -f pyisomd5sum.so.python*
	$(MAKE) clean
	dh_clean 

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/isomd5sum install-bin
	set -e; \
	for python in $(PYVERS); do \
		install -m 0755 -d $(CURDIR)/debian/python-pyisomd5sum/usr/lib/$$python/$(call py_sitename_sh, $$python); \
		install -m 0644 pyisomd5sum.so.$$python $(CURDIR)/debian/python-pyisomd5sum/usr/lib/$$python/$(call py_sitename_sh, $$python)/pyisomd5sum.so; \
	done
