=== debian/watch ===
# See uscan(1) for format
version=3
http://git.fedorahosted.org/cgit/isomd5sum.git/refs/ \
  /cgit/isomd5sum.git/snapshot/isomd5sum-(.*)\.tar\.bz2
