=== debian/changelog ===
isomd5sum (1:1.1.0-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 19:39:08 +0000

isomd5sum (1:1.1.0-1) unstable; urgency=medium

  * New upstream release
    * Upstream has added Python 3 support (while maintaining Python 2
      compatibility), so build python3-pyisomd5sum in addition to
      python-pyisomd5sum
  * Update Vcs location
  * Update Homepage/uscan to reflect upstream management via Github
  * Bump Standards-Version to 3.9.6

 -- Ryan Finnie <ryan@finnie.org>  Sat, 05 Dec 2015 05:52:41 +0000
