=== debian/changelog ===
isomd5sum (1:1.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Ryan Finnie <ryan@finnie.org>  Sun, 06 Aug 2017 22:20:28 +0000
