=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: misc
 Priority: optional
 Maintainer: Ryan Finnie <ryan@finnie.org>
-Build-Depends: debhelper (>= 9), libpopt-dev, python-all-dev (>= 2.6.6-3~)
-Standards-Version: 3.9.4
-Homepage: http://fedorahosted.org/releases/i/s/isomd5sum
-Vcs-Browser: https://code.launchpad.net/~fo0bar/isomd5sum/isomd5sum-pkg-debian
-Vcs-Bzr: http://bazaar.launchpad.net/~fo0bar/isomd5sum/isomd5sum-pkg-debian
+Build-Depends: debhelper (>= 9), libpopt-dev, python-all-dev (>= 2.6.6-3~), python3-all-dev (>= 3.2.3-6~), dh-python, genisoimage
+Standards-Version: 4.0.0
+Homepage: https://github.com/rhinstaller/isomd5sum
+Vcs-Browser: https://github.com/rfinnie/isomd5sum-pkg-debian
+Vcs-Git: https://github.com/rfinnie/isomd5sum-pkg-debian
 XS-Python-Version: all
 
 Package: isomd5sum
@@ -36,3 +36,19 @@
  header, that will carry over to burning the CD.
  .
  This package contains Python modules for isomd5sum.
+
+Package: python3-pyisomd5sum
+Architecture: any
+Section: python
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
+Suggests: genisoimage
+Provides: ${python3:Provides}
+X-Python3-Version: >= 3.2
+Description: ISO9660 checksum Python 3 module
+ isomd5sum is a set of utilities for implanting a MD5 checksum in an 
+ ISO (or any block device), then verifying the checksum later.  isomd5sum
+ is not simply an MD5 of the entire ISO; it checksums the data inside a
+ standard ISO9660 image and write block checksum information to an ISO9660
+ header, that will carry over to burning the CD.
+ .
+ This package contains Python 3 modules for isomd5sum.
