## isomd5sum 1.2.3

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 PYTHONSITEPACKAGES := $(shell $(PYTHON) -c 'import site; print(site.getsitepackages()[0])')
 PYTHONINCLUDE := $(shell $(PYTHON)-config --includes)
 
-VERSION=1.2.1
+VERSION=1.2.3
 
 ifneq (,$(filter sparc64 ppc64 ppc64le x86_64 s390x aarch64,$(shell uname -m)))
 LIBDIR = lib64
@@ -10,7 +10,7 @@
 LIBDIR = lib
 endif
 
-CFLAGS += -std=gnu11 -Wall -D_GNU_SOURCE=1 -fPIC $(PYTHONINCLUDE)
+CFLAGS += -std=gnu11 -Wall -D_GNU_SOURCE=1 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE=1 -D_LARGEFILE64_SOURCE=1 -fPIC $(PYTHONINCLUDE)
 
 OBJECTS = md5.o libimplantisomd5.o checkisomd5.o implantisomd5
 SOURCES = $(patsubst %.o,%.c,$(OBJECTS))
@@ -53,10 +53,12 @@
 install-devel:
 	install -d -m 0755 $(DESTDIR)/usr/include
 	install -d -m 0755 $(DESTDIR)/usr/$(LIBDIR)
+	install -d -m 0755 $(DESTDIR)/usr/share/pkgconfig
 	install -m 0644 libimplantisomd5.h $(DESTDIR)/usr/include/
 	install -m 0644 libcheckisomd5.h $(DESTDIR)/usr/include/
 	install -m 0644 libimplantisomd5.a $(DESTDIR)/usr/$(LIBDIR)
 	install -m 0644 libcheckisomd5.a $(DESTDIR)/usr/$(LIBDIR)
+	sed "s#@VERSION@#${VERSION}#g; s#@includedir@#/usr/include#g; s#@libdir@#/usr/${LIBDIR}#g" isomd5sum.pc.in > ${DESTDIR}/usr/share/pkgconfig/isomd5sum.pc
 
 clean:
 	rm -f *.o *.so *.pyc *.a .depend *~
