=== debian/changelog ===
isomd5sum (1:1.2.3-5build9) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:20:42 +0000

isomd5sum (1:1.2.3-5build8) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:11:52 +0000

isomd5sum (1:1.2.3-5build7) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:00:28 +0100

isomd5sum (1:1.2.3-5build6) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 11:12:00 +0000

isomd5sum (1:1.2.3-5build5) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:02:43 +0000

isomd5sum (1:1.2.3-5build4) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2023 17:21:17 -0500

isomd5sum (1:1.2.3-5build3) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 02 Nov 2022 10:19:33 +0000

isomd5sum (1:1.2.3-5build2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:24:11 +0000

isomd5sum (1:1.2.3-5build1) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:56:29 +0000

isomd5sum (1:1.2.3-5) unstable; urgency=medium

  * Remove usage of genisoimage (Closes: #982236)
    - Replace Suggests: genisoimage with xorriso
    - Remove Build-Depends: genisoimage
    - Modify testpyisomd5sum.py to accept stdin/files
    - Use static ISO for test
  * Debhelper 13
  * Rules-Requires-Root: no
  * Fix pedantic lintian trailing-whitespace
  * Vcs: Use salsa.debian.org

 -- Ryan Finnie <ryan@finnie.org>  Tue, 16 Mar 2021 12:04:40 -0700

isomd5sum (1:1.2.3-4) unstable; urgency=medium

  * Remove python-pyisomd5sum (Python 2) package
  * Bump Standards-Version to 4.4.0
  * Convert debian/copyright to DEP5
  * Remove obsoleted spelling-error-in-patch-description long
    long override

 -- Ryan Finnie <ryan@finnie.org>  Sat, 31 Aug 2019 03:07:09 +0000

isomd5sum (1:1.2.3-3) unstable; urgency=medium

  * Fix previous FTBFS fix attempt (updated 32bitcheck.patch)

 -- Ryan Finnie <ryan@finnie.org>  Mon, 17 Dec 2018 04:43:37 +0000

isomd5sum (1:1.2.3-2) unstable; urgency=medium

  * Fix FTBFS on 32-bit platforms
    (https://github.com/rhinstaller/isomd5sum/issues/20)

 -- Ryan Finnie <ryan@finnie.org>  Sun, 16 Dec 2018 23:23:31 +0000

isomd5sum (1:1.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Ryan Finnie <ryan@finnie.org>  Sun, 09 Dec 2018 06:34:07 +0000
