=== debian/control ===
Source: isomd5sum
Section: misc
Priority: optional
Maintainer: Ryan Finnie <ryan@finnie.org>
Build-Depends: debhelper-compat (= 13), debhelper, libpopt-dev, python3-all-dev (>= 3.2.3-6~), dh-python
Standards-Version: 4.4.0
Rules-Requires-Root: no
Homepage: https://github.com/rhinstaller/isomd5sum
Vcs-Browser: https://salsa.debian.org/rfinnie/isomd5sum-pkg-debian
Vcs-Git: https://salsa.debian.org/rfinnie/isomd5sum-pkg-debian.git

Package: isomd5sum
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ISO9660 checksum utilities
 isomd5sum is a set of utilities for implanting a MD5 checksum in an
 ISO (or any block device), then verifying the checksum later.  isomd5sum
 is not simply an MD5 of the entire ISO; it checksums the data inside a
 standard ISO9660 image and write block checksum information to an ISO9660
 header, that will carry over to burning the CD.
 .
 This package contains the utilities implantisomd5 and checkisomd5.

Package: python3-pyisomd5sum
Architecture: any
Section: python
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Suggests: xorriso
Provides: ${python3:Provides}
X-Python3-Version: >= 3.2
Description: ISO9660 checksum Python 3 module
 isomd5sum is a set of utilities for implanting a MD5 checksum in an
 ISO (or any block device), then verifying the checksum later.  isomd5sum
 is not simply an MD5 of the entire ISO; it checksums the data inside a
 standard ISO9660 image and write block checksum information to an ISO9660
 header, that will carry over to burning the CD.
 .
 This package contains Python 3 modules for isomd5sum.
