=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/python3/python.mk

PY3VERS=$(shell py3versions -r)

%:
	dh $@ --with=python3

override_dh_auto_build:
	$(MAKE) implantisomd5 checkisomd5
	set -e; \
	for python in $(PY3VERS); do \
		mkdir -p build/$$python; \
		$(MAKE) -C build/$$python -f ../../Makefile VPATH=$(CURDIR) \
		PYTHON=$$python pyisomd5sum.so; \
	done

override_dh_auto_test:
	set -e; \
	for python in $(PY3VERS); do \
		gunzip -c debian/testiso.iso.gz | env PYTHONPATH=$(CURDIR)/build/$$python $$python ./testpyisomd5sum.py -; \
	done

override_dh_auto_clean:
	rm -rf build
	$(MAKE) clean
	dh_clean

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/isomd5sum install-bin
	set -e; \
	for python in $(PY3VERS); do \
		install -m 0755 -d $(CURDIR)/debian/python3-pyisomd5sum/usr/lib/$$python/$(call py_sitename_sh, $$python); \
		install -m 0644 build/$$python/pyisomd5sum.so $(CURDIR)/debian/python3-pyisomd5sum/usr/lib/$$python/$(call py_sitename_sh, $$python)/pyisomd5sum.so; \
	done
