## isomd5sum 1.2.5

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 PYTHONSITEPACKAGES := $(shell $(PYTHON) -c 'import site; print(site.getsitepackages()[0])')
 PYTHONINCLUDE := $(shell $(PYTHON)-config --includes)
 
-VERSION=1.2.3
+VERSION=1.2.5
 
-ifneq (,$(filter sparc64 ppc64 ppc64le x86_64 s390x aarch64,$(shell uname -m)))
+ifneq (,$(filter sparc64 ppc64 ppc64le x86_64 s390x aarch64 mips64 riscv64,$(shell uname -m)))
 LIBDIR = lib64
 else
 LIBDIR = lib
@@ -73,4 +73,4 @@
 	@echo "The final archive is in isomd5sum-$(VERSION).tar.bz2"
 
 test:
-	./testpyisomd5sum.py
+	$(PYTHON) ./testpyisomd5sum.py
