=== debian/changelog ===
isomd5sum (1:1.2.5-1) unstable; urgency=medium

  * New upstream release
  * Port to pybuild (Closes: #1121931)
  * Lintian cleanup

 -- Ryan Finnie <ryan@finnie.org>  Sat, 28 Feb 2026 20:28:08 -0800
