=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Ryan Finnie <ryan@finnie.org>
-Build-Depends: debhelper-compat (= 13), debhelper, libpopt-dev, python3-all-dev (>= 3.2.3-6~), dh-python
+Build-Depends: debhelper-compat (= 13), debhelper, libpopt-dev, python3-all-dev (>= 3.2.3-6~), dh-python, xorriso
 Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Homepage: https://github.com/rhinstaller/isomd5sum
@@ -26,8 +26,6 @@
 Section: python
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
 Suggests: xorriso
-Provides: ${python3:Provides}
-X-Python3-Version: >= 3.2
 Description: ISO9660 checksum Python 3 module
  isomd5sum is a set of utilities for implanting a MD5 checksum in an
  ISO (or any block device), then verifying the checksum later.  isomd5sum
