=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_SYSTEM=custom
export PYBUILD_NAME=pyisomd5sum
export PYBUILD_BEFORE_BUILD=$(MAKE) implantisomd5 checkisomd5
export PYBUILD_BEFORE_INSTALL=$(MAKE) DESTDIR=$(CURDIR)/debian/isomd5sum install-bin
export PYBUILD_BUILD_ARGS=$(MAKE) -C {build_dir} -f {dir}/Makefile VPATH={dir} PYTHON={interpreter} pyisomd5sum.so
export PYBUILD_TEST_ARGS={interpreter} {dir}/testpyisomd5sum.py -
export PYBUILD_INSTALL_ARGS=mkdir -p {destdir}{install_dir} && cp {build_dir}/pyisomd5sum.so {destdir}{install_dir}

%:
	dh $@ --with=python3 --buildsystem pybuild

override_dh_auto_clean:
	rm -rf build .pybuild
	$(MAKE) clean
	dh_clean
