=== debian/watch ===
version=4
# Current method via https://wiki.debian.org/debian/watch#Version_4_Samples
# Seems very fragile, but works for now
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
https://api.github.com/repos/rhinstaller/isomd5sum/releases?per_page=100 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@
