## isomd5sum 11.4.0.1.1

=== Makefile ===
--- 
+++ 
@@ -27,9 +27,12 @@
 	gcc -shared -g -o pyisomd5sum.so -fpic $(PYOBJS) $(LDFLAGS)
 
 install:
-	install -m 755 implantisomd5 $(DESTDIR)/$(RUNTIMEDIR)
-	install -m 755 checkisomd5 $(DESTDIR)/$(RUNTIMEDIR)
-	install -s pyisomd5sum.so $(DESTDIR)/$(RUNTIMEDIR)
+	mkdir -p $(DESTDIR)/usr/$(LIBDIR)/$(PYTHON)/site-packages
+	install -m 755 implantisomd5 $(DESTDIR)/usr/bin
+	install -m 755 checkisomd5 $(DESTDIR)/usr/bin
+	install -m 755 pyisomd5sum.so $(DESTDIR)/usr/$(LIBDIR)/$(PYTHON)/site-packages
+	ln -s ../../bin/implantisomd5 $(DESTDIR)/usr/lib/anaconda-runtime/implantisomd5
+	ln -s ../../bin/checkisomd5 $(DESTDIR)/usr/lib/anaconda-runtime/checkisomd5
 
 clean:
 	rm -f *.o *.lo *.so *.pyc .depend *~
